import React from "react";
/**
 * Used when there is an internal state that has the initial value provided by a prop.
 *
 * @internal
 */
export declare const usePropState: <T>(prop: T) => readonly [T, React.Dispatch<React.SetStateAction<T>>];
//# sourceMappingURL=usePropState.d.ts.map